Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class IdeaModel

    java.lang.Object
      org.gradle.plugins.ide.idea.model.IdeaModel

    class IdeaModel

DSL-friendly model of the IDEA project information. First point of entry when it comes to customizing the IDEA generation.

See the examples in docs for IdeaModule or IdeaProject.

Authors:
  Szczepan Faber, created at: 3/31/11

Property Summary
`IdeaModule` | `module` Configures IDEA module information.
`IdeaProject` | `project` Configures IDEA project information.
`IdeaWorkspace` | `workspace` Configures IDEA workspace information.

Method Summary
`void` | `module(Closure closure)` Configures IDEA module information.
`void` | `pathVariables(Map pathVariables)` Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).
`void` | `project(Closure closure)` Configures IDEA project information.
`void` | `workspace(Closure closure)` Configures IDEA workspace information.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### module

    IdeaModule module

  Configures IDEA module information.

  For examples see docs for IdeaModule.

### project

    IdeaProject project

  Configures IDEA project information.

  For examples see docs for IdeaProject.

### workspace

    IdeaWorkspace workspace

  Configures IDEA workspace information.

  For examples see docs for IdeaWorkspace.

Method Detail

### module

    void module(Closure closure)

  Configures IDEA module information.

  For examples see docs for IdeaModule.

  Parameters:
    closure

### pathVariables

    void pathVariables(Map pathVariables)

  Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).

  For example see docs for IdeaModule.

  Parameters:
    `pathVariables` - A map with String->File pairs.

### project

    void project(Closure closure)

  Configures IDEA project information.

  For examples see docs for IdeaProject.

  Parameters:
    closure

### workspace

    void workspace(Closure closure)

  Configures IDEA workspace information.

  For examples see docs for IdeaWorkspace.

  Parameters:
    closure

Gradle API 1.1-rc-1